var page = "newsfeeds.html";
var newsfeedApp = angular.module('newsfeedApp', ['constantAngular', 'ionic', 'ngCordova', 'newfeedsService', 'menuController',
 'newfeedtypesService',
 'notifiesCtrl', 
 'soundsService',
 'chatsettingsService',
 'userchatstatusesService','chatApp',
 'usersService', 'settingsService', 'ion-autocomplete', 'authenticationSvc', 'LoginService',
 'jett.ionic.scroll.sista', 'userdetailsService', 'feedtitlesService']);

newsfeedApp.run(function ($ionicPlatform, $ionicLoading) {
    $ionicLoading.show({ template: templateLoading });
    $ionicPlatform.ready(function () {
        var devicePlatform = "";
        try { devicePlatform = device.platform; } catch (err) { console.log(err) }
        if (devicePlatform != "iPhone" && devicePlatform != "iOS") {
            // $scope.deviceLoading = "ios";
            isiOs = false;
        }
        //StatusBar.hide();
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
            cordova.plugins.Keyboard.disableScroll(true);
        }
        if (window.StatusBar) {
            // org.apache.cordova.statusbar required
            // StatusBar.styleDefault();
            StatusBar.show();
            StatusBar.backgroundColorByHexString("#327EBB");
            StatusBar.styleLightContent();
            //StatusBar.hide();
            StatusBar.overlaysWebView(false);
        }
    });
});

newsfeedApp.config(function ($stateProvider, $urlRouterProvider) {
    $stateProvider

        /*/////////////////////// USERS ///////////////////////////*/

      .state('dashboard', {
          url: '/board',
          abstract: true,
          templateUrl: 'templates/dashboard/general/menu.html',
          controller: 'menuCtrl'
      })

            .state('dashboard.newsfeeds', {
                url: '/newsfeeds',
                views: {
                    'menuContent': {
                        templateUrl: 'templates/dashboard/newsfeeds/newsfeeds.tpl',
                        controller: 'newsfeedCtrl'
                    }
                }
            })

    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/board/newsfeeds');
});
